View Issue Details

IDProjectCategoryView StatusLast Update
0001367Documents*.hlfpublic2010-06-11 16:30
ReporterJohnDoe Assigned Tovskirdin  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Fixed in Version2.0 
Summary0001367: Улучшение помощи FarCmds
DescriptionПредлагается исправленный FARCmdsRus.hlf:
http://forum.farmanager.com/viewtopic.php?p=62379#p62379
Те изменения, которые будут одобрены, оформлю в виде патча, в том числе и в английской справке.
TagsNo tags attached.

Activities

vskirdin

2010-05-07 07:47

administrator   bugnote:0005314

делай.
в т.ч. и eng-справку

vskirdin

2010-05-13 11:45

administrator   bugnote:0005347

где обещанный патч на 2 файла помощи? (только теперь применительно к последнему билду :-))

JohnDoe

2010-05-13 11:49

updater   bugnote:0005349

Last edited: 2010-05-18 11:42

View 2 revisions

В процессе.

PS
Выложил пока на форуме http://forum.farmanager.com/viewtopic.php?p=63080#p63080
Если замечаний не будет - приложу сюда в виде патча к svn

vskirdin

2010-05-31 09:48

administrator   bugnote:0005438

и где патч то?

JohnDoe

2010-05-31 14:18

updater  

FARCmds.hlf.diff (45,277 bytes)   
Index: FARCmdsEng.hlf
===================================================================
--- FARCmdsEng.hlf	(revision 4738)
+++ FARCmdsEng.hlf	(working copy)
@@ -3,89 +3,64 @@
 
 @Contents
 $^#FAR Commands#
-   The FAR Commands plugin (FARCmds) provides additional features that may
-be used in the User Menu, file associations or the command line.
+   The FAR Commands plugin (FARCmds) provides a number of additional commands.
 
-   ~Syntax~@Syntax@
-   ~"Same Folder" Command~@TheSameFolder@
-   ~Configuring FAR Commands~@Config@
+   Except command ~"Same Folder"~@TheSameCatalogue@, all the rest have to be
+invoked via command line prefixes.
 
-@Syntax
-$^#FARCmds Syntax
-   #Command Line Syntax#
+   Besides ~command line~@:CmdLineCmd@, prefixes may be used in ~User Menu~@:UserMenu@,
+in ~file associations~@:FileAssoc@, as well as in dialog�~Apply Command~@:ApplyCmd@�(#Ctrl-G#)
 
-   <prefix>:<command>[<options>] <object>
 
-  or
+  #Command Line Syntax#
 
-   <command>:[<options>] <object>
+   #command:#[#options#] #object#
 
-  where
+   #command# - one of the following:
+             ~view~@View@     - viewer
+             ~edit~@Edit@     - editor
+             ~goto~@Goto@     - jump to a file or folder
+             ~clip~@Clip@     - put data in the clipboard
+             ~whereis~@WhereIs@  - locate and jump to an object
+             ~macro~@Macro@    - macros
+             ~link~@Link@     - create links
+             ~run~@Run@      - execute commands
+             ~load~@Load@     - load plugin (FAR 2 only)
+             ~unload~@Unload@   - unload plugin (FAR 2 only)
 
-   #<prefix>#    - always #far#
+   #options# - optional parameters, see corresponding commands descriptions.
 
-   #<command>#   - one of the following:
-                 ~view~@View@    - Viewer
-                 ~edit~@Edit@    - Editor
-                 ~goto~@Goto@    - Jump to a file or folder
-                 ~clip~@Clip@    - Put data in the clipboard
-                 ~whereis~@WhereIs@ - Locate and jump to an object
-                 ~macro~@Macro@   - Macros
-                 ~link~@Link@      - create links
-                 ~run~@Run@     - execute commands
-                 ~load~@Load@   - load plugin
-                 ~unload~@Unload@ - unload plugin
+   #object#  - one of the following:
+             #filename# - name of the file to be viewed, edited or jumped to.
+             #path#     - file or directory path to jump to.
+             #<command# - ~intercept output~@Direction@ of operation system command.
+                        Symbol #<# is obligatory.
 
-   #<options>#   - only for the #edit# command; one of the following:
-                 #[line]#
-                 #[line,column]#
-                 The square brackets are mandatory.
 
-   #<object>#    - one of the following:
-                 #filename#  - name of the file to be viewed,
-                             edited or jumped to.
-                 #path#      - file or directory path to jump to.
-                 #<command#  - ~intercept output~@Direction@  of operation
-                             system command.
-                             Symbol #<# is obligatory.
-                 #<<command# - ~intercept output~@Direction@  of operation
-                             system command.
-                             Symbol #<<# is obligatory.
+   See also: ~Configuring FAR Commands~@Config@ | ~Notes~@Remark@
 
-
-   Note:
-
-   A command can be executed in a directory different from the
-   current directory if the path is specified before an
-   operating system command enclosed in #'|'# characters.
-   Example: '#edit:<|%TEMP%|dir#'.
-
-   ������� #load# � #unload# ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
-
-   See also: ~Contents~@Contents@ | ~Output Redirection~@Direction@ | ~Notes~@Remark@
-
 @Load
 $ #The Load command#
-   ������� #load# �������� ����㧨�� ������ #���_DLL_�����#.
+   Command #load# allows you to load the plugin #DLL_module_name#.
 
-   #far:load ���_DLL_�����#
-   #load:���_DLL_�����#
+   #load:DLL_module_name#
 
-   ������� ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
+   Command is only available in Unicode-version (in FAR 2.x)
 
-   See also: ~unload~@Unload@ | ~Contents~@Contents@ | ~Notes~@Remark@
 
+   See also: ~unload~@Unload@ | ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Unload
 $ #The Unload command#
-   ������� #unload# �������� ����㧨�� ������ #���_DLL_�����#.
+   Command #unload# allows you to unload the plugin #DLL_module_name#.
 
-   #far:unload ���_DLL_�����#
-   #unload:���_DLL_�����#
+   #unload:DLL_module_name#
 
-   ������� ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
+   Command is only available in Unicode-version (in FAR 2.x)
 
-   See also: ~Load~@load@ | ~Contents~@Contents@ | ~Notes~@Remark@
 
+   See also: ~load~@Load@ | ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Clip
 $^#The Clip command#
    The #clip# command puts data into the Windows clipboard.
@@ -93,62 +68,51 @@
 The clipboard will contain all the data up to the character with the
 code #0x00# (1 megabyte at most).
 
-   #far:clip filename#
-   or
    #clip:filename#
 
-   See also: ~Output Redirection~@Direction@ | ~Contents~@Contents@ | ~Notes~@Remark@
 
+   See also: ~Output Redirection~@Direction@ | ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Run
 $ #The Run command#
    The #run# command executes an operating system #command# redirecting
 its output to the specified file #"filename"#. Output can also be displayed
 on the screen or hidden from the user using ~Output Redirection~@Direction@ modifiers.
 
-   #far:run filename<command#
    #run:filename<command#
 
-   See also: ~Output Redirection~@Direction@ | ~Contents~@Contents@ | ~Remarks~@Remark@
 
+   See also: ~Output Redirection~@Direction@ | ~Remarks~@Remark@ | ~Contents~@Contents@
 
+
 @View
 $^#The View command#
    The #view# command opens the file "#filename#" in the FAR
 built-in ~viewer~@:Viewer@:
 
-   #far:view filename#
-   or
    #view:filename#
 
-   See also: ~Output Redirection~@Direction@ | ~Contents~@Contents@ | ~Notes~@Remark@
 
+   See also: ~edit~@Edit@ | ~Output Redirection~@Direction@ | ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Edit
 $^#The Edit command#
    The #edit# command opens the file "#filename#" for editing
-in the FAR built-in ~editor~@:Editor@. The command may be invoked in three ways:
+in the FAR built-in ~editor~@:Editor@.
 
-   1. Open a file for editing
-
-      #far:edit filename#
-      or
       #edit:filename#
 
-   2. Open a file for editing and go to the line "#<line>#"
+   If the file "#filename#" does not exist, it will be created.
+   If the newly created file is not changed before leaving the editor, it will
+be deleted (same behaviour as #Shift-F4#).
 
-      #far:edit[<line>] filename#
-      or
-      #edit:[<line>] filename#
+   When opening a file, you can go directly to a given position. To do this, specify the row and, optionally, the column.
+   The square brackets are mandatory!
 
-   3. Open a file for editing and go to the given position
+      #edit:[line] filename#
 
-      #far:edit[<line>,<column>] filename
-      or
-      #edit:[<line>,<column>] filename#
+      #edit:[line,column] filename#
 
-   If the file "#filename#" does not exist, it will be created.
-   If the newly created file is not changed before leaving the editor, it will
-be deleted (same behaviour as Shift-F4).
-
    If the filename contains square brackets (for example: "[1].txt"), then for
 the correct opening of the file in the editor you must provide at least one delimiter
 (e.g. a space) before the filename, or enclose it in quotation marks:
@@ -156,8 +120,9 @@
    edit: [1].txt
    edit:"[1].txt"
 
-   See also: ~Output Redirection~@Direction@ | ~Contents~@Contents@ | ~Notes~@Remark@
 
+   See also: ~view~@View@ | ~Output Redirection~@Direction@ | ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Goto
 $^#The Goto command#
    The #goto# command jumps to a file or a folder. The path can be
@@ -165,14 +130,10 @@
 
    1. Directly as a parameter of the command
 
-      #far:goto path#
-      or
       #goto:path#
 
    2. The path is taken from the file "#filename#"
 
-      #far:goto <filename#
-      or
       #goto: <filename#
 
    If the parameter "#path#" specifies a folder and is terminated with
@@ -186,36 +147,34 @@
    When panels are turned off, the cursor is not positioned on the requested object,
 only the switching to the required folder occurs.
 
-   See also: ~Contents~@Contents@ | ~Notes~@Remark@
 
+   See also: ~whereis~@WhereIs@ | ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Link
 $ #The Link command#
 
-   The #link# command creates and deletes ~links~@:HardSymLink@
-to files and folders. Hardlinks are created for files, directory junction are
-created for folders. It is possible to mount local disks on file system
-with #link# command (so-called "volume mount points").
+   The #link# command creates ~links~@:HardSymLink@ to files and folders.
+It also allows to mount local disks on file system.
 
-   #link# syntax:
 
-   #far:link [/msg] [/n] [/s] source destination#
-   or
-   #link:[/msg] [/n] [/s] source destination#
+   #link:#[#/msg#] [#/n#] [#/s#] #source destination#
 
-   if "destination" is
+   Depending on the type of source are those types of links:
 
-     a #file#   : hardlink is created
-     a #folder# : symlink is created
-     a #drive#  : drive is mounted in case of a "drive" sequence:
-                  'drive_letter' ':' '\', e.g. "C:\"
+     #file#   : #hard link# is created
+     #folder# : #junction# is created
+     #drive#  : drive is mounted (#volume mount point# is created)
+              "drive" should be a sequence "#drive_letter:\#", e.g. "#C:\#"
 
-   switch #/msg# turns on the output of error messages
+   Switch #/msg# turns on the output of error messages
 
-   switch #/n# disables automatic update of panels after creation of link
+   Switch #/n# disables automatic update of panels after creation of link
 
-   ���� #/s# ᮧ���� ᨬ�������� ��뫪�-䠩� (����� ���⪮� �裡)
-��� ��뫪�-��⠫�� (����� �裡 ��⠫����). ���� ���㠫�� � Windows Vista
-��� ���. ���������� �� ����஢���� ��᪮�.
+   Switch #/s# allows to make symbolic links (#symlinks#).
+   It's possible to create a file symlink (instead of a hardlink)
+or a folder symlink (instead of folder junction).
+   The switch is relevant to Windows Vista or higher.
+Ignored when mounting drives.
 
    Mounted drives (or volume mount points) is a Windows 2000/XP feature,
 that allows to display specified disks as folders. Example:
@@ -224,21 +183,20 @@
 
     After this command the folder C:\cdrom will display the contents of drive E:
 
-   See also: ~Contents~@Contents@ | ~Remarks~@Remark@
 
+   See also: ~Remarks~@Remark@ | ~Contents~@Contents@
+
 @WhereIs
 $ #The WhereIs command#
    The #whereis# command locates the given object and jumps to it if the search was
 successful.
 
-   #far:whereis filename#
-   or
    #whereis:filename#
 
    The search is performed in the following order:
 
    1. Current folder
-   2. ��⠫��, �� ����� 㪠�뢠�� ��६����� �।� %FARHOME%
+   2. The directory pointed to by the environment variable %FARHOME%
    3. Folders in the system environment variable #PATH#
    4. Windows 95: Windows' system folder (SYSTEM)
       Windows NT: 32 bit Windows' system folder (SYSTEM32)
@@ -252,8 +210,9 @@
    When panels are turned off, the cursor is not positioned on the requested object,
 only the switching to the required folder occurs.
 
-   See also: ~Contents~@Contents@ | ~Notes~@Remark@
 
+   See also: ~goto~@Goto@ | ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Macro
 $ #The Macro command#
    The #macro# command loads macros from the registry or saves macros in the
@@ -262,20 +221,14 @@
 
    1. Load macros from the registry:
 
-      #far:macro load#
-      or
       #macro:load#
 
    2. Save macros to the registry:
 
-      #far:macro save#
-      or
       #macro:save#
 
    3. Post a key sequence:
 
-      #far:macro post sequence#
-      or
       #macro:post sequence#
 
       "sequence" is a sequence of key names as they are stored in
@@ -285,150 +238,126 @@
 
       The sequence is executed only after return the FAR Manager receives control.
 
-   4. �஢���� ᨭ⠪�� ���ய�᫥����⥫쭮��
+   4. Check macrosequence syntax
 
-      #far:macro check sequence#
-      ���
       #macro:check sequence#
 
-      � ��砥 �訡�� � "sequence" �㤥� �뢥���� ᮮ�饭�� �
-      㪠������ ⨯� �訡�� � ����樨 � ��᫥����⥫쭮��.
+      In case of error in the "sequence" you receive a message
+      indicating the error type and its position in the sequence.
 
-   ������� #check# ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
+   Command #check# is only available in Unicode-version (in FAR 2.x)
 
-   See also: ~Contents~@Contents@, ~Macro~@:KeyMacroCmds@
 
+   See also: ~Macro~@:KeyMacro@, ~Notes~@Remark@ | ~Contents~@Contents@
+
 @Direction
 $ #Output Redirection#
    The plugin can redirect the output of the specified #"<command"# or #"<<command"#.
 
-   #command#   - #[stream][mode][|path|]command#.
+    #command# - #[#stream#][#mode#][#|path|#]#command#.
 
-               #stream# - controls which output stream(s) to redirect.
-                        #1# - redirect only standard output
-                            stream #stdout#.
-                        #2# - redirect only standard output
-                            stream #stderr#.
-                        #*# - redirect #stderr# and #stdout# as
-                            one stream
-                        #?# - redirect #stderr# and #stdout# as
-                            different streams. For commands ~view~@View@
-                            and ~edit~@Edit@ the streams will
-                            be opened in separate windows. For other
-                            commands same behavior as #*#.
+    #stream# - controls which output stream(s) to redirect.
+             #1# - redirect only standard output stream #stdout#.
+             #2# - redirect only standard output stream #stderr#.
+             #*# - redirect #stderr# and #stdout# as one stream.
+             #?# - redirect #stderr# and #stdout# as different streams.
+                 For commands ~view~@View@ and ~edit~@Edit@ the streams will be opened
+                 in separate windows. For other commands same behavior as #*#.
+             Default value of this parameter can be defined in ~config~@Config@.
 
-               #mode#   - controls direct console output
-                          (not via standard streams)
-                        #># - ignore the console output of the
-                            program and display only message
-                            about its execution
-                        #<# - save console output and make it
-                            available for viewing with #Ctrl-O#,
-                        #+# - same as #<#, but displays on the
-                            screen redirected output of the program
-                            along with console output.
+    #mode#   - controls direct console output (not via standard streams)
+             #># - ignore the console output of the program
+                 and display only message about its execution.
+             #<# - save console output and make it available
+                 for viewing with #Ctrl-O#.
+             #+# - same as #<#, but displays on the screen redirected output
+                 of the program along with console output.
+             Default value of this parameter can be defined in ~config~@Config@.
 
-               #|path|# - command can be executed in the folder
-                        different from the current one if this
-                        parameter is present (enclosed in pipes #'|'#).
-                        For example: '#edit:<|%TEMP%|dir#'.
+    #|path|# - command can be executed in the folder different from the
+             current one. To do this specify the path (enclosed in pipes '#|#')
+             For example: #edit:<|%TEMP%|dir#
 
+   Program output can be opened in viewer: #~view~@View@:<command#
+     or in editor:                         #~edit~@Edit@:<command#
+     or can be placed into clipboard:      #~clip~@Clip@:<command#
+     or saved to a user-defined file:      #~run~@Run@:filename<command#
 
-   Default values of #stream# and #mode# can be defined in
-~plugin config~@Config@.
 
-   Program output is placed in a temporary file. The output
-   can also be saved to a user-defined file:
+  #Notes:#
 
-       #far:run filename<command#
-       #run:filename<command#
+   #1#. The entire string after the symbol '#<#' and optional modifiers
+is sent to the command processor (%COMSPEC%)
 
-     or opened
+   #2#. Program output is placed in a temporary file, which is deleted automatically when FAR Manager
+doesn't need it.
 
-     in viewer
+   #3#. Some programs do not use standard output stream(s), but
+print directly to the console. To store console output
+and make it available for viewing with #Ctrl-O#
+use modifiers '#<#' and '#+#'. To ignore it - use '#>#'
+      You can change default behavior in the ~configuration~@Config@.
 
-       #far:view <command#
-       #view:<command#
+   #4#. If the #stream# parameter equals #1# or #2# then the start of the
+command text must be separated from it by some symbol.
 
-     or in editor
 
-       #far:edit <command#
-       #edit:<command#
-       #far:edit[line] <command#
-       #edit:[line] <command#
-       #far:edit[line,column] <command#
-       #edit:[line,column] <command#
+  #Examples:#
 
-     or the output can be placed into clipboard
+   Execute the command "#command#" and redirect its output to the editor:
+     #edit:<command#
 
-       #far:clip <command#
-       #clip:<command#
+   Possible cases with the parameter #stream#=#1#:
+     #edit:<1 command#
+     #edit:<1"command"#
+     #edit:<1+command#
+     #edit:<1|%TEMP%|command#
 
-   Notes:
 
-   1: The entire string after the symbol '#<#' and optional modifiers
-      is sent to the command processor (%COMSPEC%)
+   See also: ~Notes~@Remark@ | ~Contents~@Contents@
 
-   2. Temporary file is deleted automatically when FAR Manager
-      doesn't need it.
-
-   3. Some programs do not use standard output stream(s), but
-      print directly to the console. To store console output
-      and make it available for viewing with #Ctrl-O#, or to
-      ignore it, use modifiers '#<#', '#>#' and '#+#'.
-      You can change default behavior in the ~configuration~@Config@.
-
-   4. If the stream parameter equals 1 or 2 then the start of the
-      command text must be separated from it by some symbol.
-
-      Example:
-      Execute the command "1" and redirect its output to the editor.
-               edit:<1
-               possible cases with the parameter stream=1
-               edit:<1 1
-               edit:<1"1"
-               edit:<1+1
-               edit:<1|%TEMP%|1
-
-   See also: ~Contents~@Contents@ | ~Syntax~@Syntax@
-
 @TheSameFolder
 $^#Same Folder
    To set the current folder of the passive panel to the same as
-in the active one, choose the item "#Same Directory#" in the ~plugins menu~@:Plugins@
+in the active one, choose the item "#Same Directory#" in the ~plugins menu~@:PluginCommands@
 or in the ~drives menu~@:DriveDlg@.
 
-   See also: ~Contents~@Contents@ | ~Configuration~@Config@
 
+   See also: ~Configuration~@Config@ | ~Contents~@Contents@
+
 @Remark
 $^#Notes#
 
-   1. When using prefix #far# command names may be shortened to
-      their first letters. Example:
-      #far:v# is the same as #far:view# or #view:#
-
-   2. It is possible to enclose parameters #filename#,
+   1. It is possible to enclose parameters #filename#,
       #path# and #command# in quotes.
 
-   3. You can use environment variables.
+   2. You can use environment variables.
 
-   4. If you make a syntax error, the help will pop up.
+   3. If you make a syntax error, the help will pop up.
 
-   5. You can use console aliases as #command#
+   4. You can use console aliases as #command#
       (Console aliases - macros defined by command DOSKEY)
 
+   5. Before each command it's allowed to additionally specify the prefix #far:#
+
+      #command:#[#options#] #object#
+      #far:command# [#options#] #object#
+
+      Both notation forms are equivalent.
+
+
    See also: ~Contents~@Contents@
 
 @Config
 $^#Configuring FAR Commands#
 
- #"Add "Same Folder"#            Adds the ~Same Folder~@TheSameFolder@ command
- #to the Plugins menu"#          to the ~Plugins menu~@:Plugins@.
+ #Add "Same Folder"#            Adds the ~Same Folder~@TheSameFolder@ command
+ #to the Plugins menu#          to the ~Plugins menu~@:PluginCommands@.
 
- #"Add "Same Folder"#            Adds the ~Same Folder~@TheSameFolder@ command
- #to the Disks menu"#            to the ~Disks menu~@:DriveDlg@.
+ #Add "Same Folder"#            Adds the ~Same Folder~@TheSameFolder@ command
+ #to the Disks menu#            to the ~Disks menu~@:DriveDlg@.
 
- #External commands screen output# Control program screen output
+ #External commands screen output# Control program screen ~output~@Direction@:
 
    #Hide external command#       Hides program output. Only a message
    #output#                      with the size of intercepted output
@@ -446,7 +375,7 @@
                                Same as using #<+# instead of #<#.
 
 
- #Intercepting output#           Controlling of program output
+ #Intercepting output#           Controlling of program ~output~@Direction@
                                interception:
 
    #Intercept both#              Intercept standard output stream
Index: FARCmdsRus.hlf
===================================================================
--- FARCmdsRus.hlf	(revision 4738)
+++ FARCmdsRus.hlf	(working copy)
@@ -3,89 +3,64 @@
 
 @Contents
 $ #FAR Commands#
-   ������ FAR Commands (��� FARCmds) �।��⠢��� �������⥫�� ����������,
-����� ����� �ᯮ�짮���� � ���� ���짮��⥫�, ���樠��� 䠩��� ���
-��������� ��ப�.
+   ������ FAR Commands (��� FARCmds) �।��⠢��� �� �������⥫��� ������.
 
-   ~���⠪��~@Syntax@
-   ~"����� �� ��⠫��"~@TheSameCatalogue@
-   ~����ன�� FAR Commands~@Config@
+   �஬� ������� ~"����� �� ��⠫��"~@TheSameCatalogue@, �� ��⠫�� ��뢠���� � �������
+��䨪ᮢ ��������� ��ப�.
 
-@Syntax
-$ #���⠪�� FARCmds
-  #���⠪��#
+   ������ ~��������� ��ப�~@:CmdLineCmd@ ��䨪�� ����� �ᯮ�짮���� � ~���� ���짮��⥫�~@:UserMenu@, � ~���樠��� 䠩���~@:FileAssoc@,
+� ⠪�� ����������~�ਬ����� �������~@:ApplyCmd@�(#Ctrl-G#)
 
-   <prefix>:<command>[<options>] <object>
 
-  ���
+  #���⠪��#
 
-   <command>:[<options>] <object>
+   #command:#[#options#] #object#
 
-  ���,
+   #command# - ���� �� ᫥����� ���祭��:
+             ~view~@View@     - ��ᬮ��
+             ~edit~@Edit@     - ।���஢����
+             ~goto~@Goto@     - ���室 � �㦭��� 䠩�� ��� ��⠫���
+             ~clip~@Clip@     - ����饭�� ������ � ���� ������
+             ~whereis~@WhereIs@  - ���� � ���室 �� 㪠����� ��ꥪ�
+             ~macro~@Macro@    - ࠡ�� � ����ᠬ�
+             ~link~@Link@     - ᮧ����� ������
+             ~run~@Run@      - �믮������ ������
+             ~load~@Load@     - ����㧨�� ������ (⮫쪮 FAR 2)
+             ~unload~@Unload@   - ���㧨�� ������ (⮫쪮 FAR 2)
 
-   #<prefix>#    - �ᥣ�� #far#
+   #options# - ��樮����� ��ࠬ����, �. � ���ᠭ�� ᮮ⢥������� ������.
 
-   #<command>#   - ���� �� ᫥����� ���祭��:
-                 ~view~@View@    - ��ᬮ��
-                 ~edit~@Edit@    - ।���஢����
-                 ~goto~@Goto@    - ���室 � �㦭��� 䠩�� ��� ��⠫���
-                 ~clip~@Clip@    - ����饭�� ������ � ���� ������
-                 ~whereis~@WhereIs@ - ���� � ���室 �� 㪠����� ��ꥪ�
-                 ~macro~@Macro@   - ࠡ�� � ����ᠬ�
-                 ~link~@Link@      - ᮧ����� ������
-                 ~run~@Run@     - �믮������ ������
-                 ~load~@Load@   - ����㧨�� ������
-                 ~unload~@Unload@ - ���㧨�� ������
+   #object#  - ���� �� ᫥����� ���祭��:
+             #���䠩��# - ��� 䠩�� ��� ��ᬮ��, ।���஢����, ���室�.
+             #����#     - ���� ��� ���室� � �㦭��� ��⠫��� ��� 䠩��.
+             #<�������# - ~���墠��� �뢮�~@Direction@ ������� ����樮���� ��⥬�.
+                        ������ #<# ��易⥫��.
 
-   #<options>#   - �⭮���� � ������� "edit"; ����� ����:
-                 #[��ப�]#
-                 #[��ப�,�������]#
-                 ������� ᪮��� ��易⥫��
 
-   #<object>#    - ���� �� ᫥����� ���祭��:
-                 #��� 䠩��# - ��� 䠩�� ��� ��ᬮ��, ।���஢����,
-                             ���室�.
-                 #����#      - ���� ��� ���室� � �㦭��� ��⠫���
-                             ��� 䠩��.
-                 #<�������#  - ~���墠��� �뢮�~@Direction@ �������
-                             ����樮���� ��⥬�.
-                             ������ #<# ��易⥫��.
-                 #<<�������# - ~���墠��� �뢮�~@Direction@ �������
-                             ����樮���� ��⥬�.
-                             ������� #<<# ��易⥫��.
+   ��. ⠪��: ~����砭��~@Remark@ | ~����ன�� �������~@Config@
 
-   �ਬ�砭��:
-
-   ������� ����� ���� �믮����� � ��⠫���, �⫨筮� �� ⥪�饣�,
-   �� 㪠����� ������� ��ࠬ��� (������񭭮�� � ᨬ���� #'|'#).
-   �ਬ��: '#edit:<|%TEMP%|dir#'.
-
-   ������� #load# � #unload# ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
-
-   ��. ⠪��: ~����ঠ���~@Contents@ | ~����砭��~@Remark@
-
 @Load
 $ #������� Load#
    ������� #load# �������� ����㧨�� ������ #���_DLL_�����#.
 
-   #far:load ���_DLL_�����#
    #load:���_DLL_�����#
 
    ������� ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
 
-   ��. ⠪��: ~Unload~@Unload@ | ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~unload~@Unload@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Unload
 $ #������� Unload#
-   ������� #unload# �������� ����㧨�� ������ #���_DLL_�����#.
+   ������� #unload# �������� ���㧨�� ������ #���_DLL_�����#.
 
-   #far:unload ���_DLL_�����#
    #unload:���_DLL_�����#
 
    ������� ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
 
-   ��. ⠪��: ~Load~@load@ | ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~load~@Load@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Clip
 $ #������� Clip#
    ������� #clip# �������� �������� ����� � ���� ������ Windows. ���
@@ -93,12 +68,11 @@
 �ணࠬ��. � ���� ������ ��������� �� ����� �� ᨬ���� � ����� #0x00#,
 ���ᨬ� - 1 Mb.
 
-   #far:clip ���䠩��#
-   ���
    #clip:���䠩��#
 
-   ��. ⠪��: ~���墠� �뢮��~@Direction@ | ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~���墠� �뢮��~@Direction@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Run
 $ #������� Run#
    ������� #run# �������� �믮����� #�������# ����樮���� ��⥬� �
@@ -106,49 +80,40 @@
 ��ࠫ���쭮 �뢥��� �� �࠭ ���� ���� �� ���짮��⥫�, �ᯮ����
 ����䨪���� ~���墠� �뢮��~@Direction@.
 
-   #far:run ���䠩��<�������#
    #run:���䠩��<�������#
 
-   ��. ⠪��: ~���墠� �뢮��~@Direction@ | ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~���墠� �뢮��~@Direction@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @View
 $ #������� View#
    ������� #view# �������� ������ ��� ��ᬮ�� �� ~���஥���� ���~@:Viewer@
 ������� 䠩� "#���䠩��#":
 
-   #far:view ���䠩��#
-   ���
    #view:���䠩��#
 
-   ��. ⠪��: ~���墠� �뢮��~@Direction@ | ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~edit~@Edit@ | ~���墠� �뢮��~@Direction@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Edit
 $ #������� Edit#
    ������� #edit# �������� ������ ��� ।���஢���� �� ~���஥���� ।����~@:Editor@
-������� 䠩� "#���䠩��#". ������� ����� ��뢠���� �६� ᯮᮡ���:
+������� 䠩� "#���䠩��#":
 
-   1. ������ 䠩� �� ।���஢����
-
-      #far:edit ���䠩��#
-      ���
       #edit:���䠩��#
 
-   2. ������ 䠩� �� ।���஢���� � ��३� �� ��ப� "#[��ப�]#"
+   �᫨ 䠩� "#���䠩��#" �� �������, � �� ᮧ������. �᫨ ��᫥ ᮧ�����
+� ��室� �� ।���� 䠩� �� ������, � �� 㤠����� (��������� �ਡ������
+� #Shift-F4#).
 
-      #far:edit[��ப�] ���䠩��#
-      ���
+   �� ����⨨ 䠩�� ����� �ࠧ� ��३� � �������� ������. ��� �⮣� � �������� ᪮����
+���� 㪠���� �㦭�� ��ப� �, ��樮���쭮, �������.
+������ ��易⥫��!
+
       #edit:[��ப�] ���䠩��#
 
-   3. ������ 䠩� �� ।���஢���� � ��३� � �������� ������.
-
-      #far:edit[��ப�,�������] ���䠩��#
-      ���
       #edit:[��ப�,�������] ���䠩��#
 
-   �᫨ 䠩� "#���䠩��#" �� �������, � �� ᮧ������. �᫨ ��᫥ ᮧ�����
-� ��室� �� ।���� 䠩� �� ������, � �� 㤠����� (��������� �ਡ������
-� Shift-F4).
-
    �᫨ ��� 䠩�� ᮤ�ন� ������� ᪮���, ���ਬ��, "[1].txt", � ���
 ���४⭮�� ������ ⠪��� 䠩�� � ।���� ����室��� ��। ������
 ���⠢��� ��� �� ���� ࠧ����⥫� (���ਬ��, �஡��) ��� ����� ��� 䠩��
@@ -157,8 +122,9 @@
    edit: [1].txt
    edit:"[1].txt"
 
-   ��. ⠪��: ~���墠� �뢮��~@Direction@ | ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~view~@View@ | ~���墠� �뢮��~@Direction@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Goto
 $ #������� Goto#
    ������� #goto# �������� ��३� � ��������� 䠩�� ��� ��⠫��� �����
@@ -166,14 +132,10 @@
 
    1. ���� � 䠩�� ��� ��⠫��� 㪠�뢠���� �����।�⢥��� � �������
 
-      #far:goto ����#
-      ���
       #goto:����#
 
    2. ���� � 䠩�� ��� ��⠫��� ������� �� ��������� 䠩�� "#���䠩��#"
 
-      #far:goto <���䠩��#
-      ���
       #goto: <���䠩��#
 
    �᫨ ��ࠬ��� "#����#" 㪠�뢠�� ��� ��⠫���, �����稢��饥��
@@ -187,52 +149,52 @@
    �� �몫�祭��� ������� ����� �� �㦭� ��ꥪ� �� ��⠭����������,
 �ந�室�� ⮫쪮 ���室 � �㦭� ��⠫��.
 
-   ��. ⠪��: ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~whereis~@WhereIs@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Link
 $ #������� Link#
-   ������� #link# �������� ᮧ������ � 㤠���� ~�裡~@:HardSymLink@ ���
-䠩��� � ��⠫����. ��� 䠩��� ᮧ������ ���⪨� �裡, ��� ��⠫���� -
-��� ��⠫���� (�.�. "junction"). � ������� ������� "link" ⠪�� ����� ����஢��� �������
-��᪨ �� 䠩����� ��⥬� (�.�. "volume mount points")
+   ������� #link# �������� ᮧ������ � 㤠���� ~��뫪�~@:HardSymLink@ ��� 䠩��� � �����,
+� ⠪�� ����஢��� ������� ��᪨ �� 䠩����� ��⥬�.
 
-   #far:link [/msg] [/n] [/s] ���筨� �����祭��#
-   ���
-   #link:[/msg] [/n] [/s] ���筨� �����祭��#
 
-   �᫨ "���筨�":
+   #link:#[#/msg#] [#/n#] [#/s#] #���筨� �����祭��#
 
-     #����#    - ᮧ������ ���⪠� ���
-     #��⠫��# - ᮧ������ ᨬ�����᪠� ���
-     #���#    - ��������� ���, �᫨ "���" ��᫥����⥫쭮���
-               '�㪢�_��᪠' ':' '\', ���ਬ��, "C:\"
+   � ����ᨬ��� �� ⨯� ���筨�� ᮧ������ ⠪�� ⨯� �痢�:
 
+     #䠩�#  : ���⪠� ��뫪� (#Hardlink#)
+     #�����# : ��� ����� (#Junction#)
+     #���#  : ��������� ��� (#Volume mount point#)
+             "���" ������ �।�⠢���� ᮡ�� ��᫥����⥫쭮���
+             "#�㪢�_��᪠:\#", ���ਬ��, "#C:\#"
+
    ���� #/msg# �㦨� ��� �뢮�� ᮮ�饭�� �� �訡���.
 
    ���� #/n# �⪫�砥� ��⮬���᪮� ���������� ������� ��᫥ ᮧ����� �痢�.
 
-   ���� #/s# ᮧ���� ᨬ�������� ��뫪�-䠩� (����� ���⪮� �裡)
-��� ��뫪�-��⠫�� (����� �裡 ��⠫����). ���� ���㠫�� � Windows Vista
-��� ���. ���������� �� ����஢���� ��᪮�.
+   ���� #/s# �������� ᮧ������ ᨬ�����᪨� ��뫪� (#Symlinks#).
+   ����� ᮧ���� ᨬ�������� ��뫪�-䠩� (����� ���⪮� �裡) ��� ��뫪�-����� (����� �裡 �����).
+   ���� ���㠫�� � Windows Vista ��� ���. ���������� �� ����஢���� ��᪮�.
 
    ����஢���� ��᪨ (volume mount points) - �ᮡ������� Windows 2000/XP,
-����� �������� �⮡ࠦ��� �⤥��� ��᪨ �� ��⠫���. ���ਬ��, �����
-����� �ᥣ� ���� ��� C: � � ���� �������஢��� /cdrom (��� E:) � /home
-(��� D:) -  ����砥��� ���� ��७�.
+����� �������� �⮡ࠦ��� �⤥��� ��᪨ �� ��⠫���.
+ ���ਬ��,
 
-   ��. ⠪��: ~����ঠ���~@Contents@ | ~����砭��~@Remark@
+   #link: E:\ C:\cdrom#
 
+ ��᫥ �⮩ ������� ����� C:\cdrom �㤥� �⮡ࠦ��� ᮤ�ন��� ��᪠ E:
+
+
+   ��. ⠪��: ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @WhereIs
 $ #������� WhereIs#
    ������� #whereis# ��� 㪠����� ��ꥪ� � � ��砥 㤠筮�� ���᪠ ���室��
 � ����.
 
-   #far:whereis ���䠩��#
-   ���
    #whereis:���䠩��#
 
    ���� �����⢫���� � ᫥���饬 ���浪�:
-
    1. ����騩 ��⠫��
    2. ��⠫��, �� ����� 㪠�뢠�� ��६����� �।� %FARHOME%
    3. ��⠫���, ����� ����᫥�� � ��६����� ���㦥��� #PATH#
@@ -248,8 +210,9 @@
    �� �몫�祭��� ������� ����� �� �㦭� ��ꥪ� �� ��⠭����������,
 �ந�室�� ⮫쪮 ���室 � �㦭� ��⠫��.
 
-   ��. ⠪��: ~����ঠ���~@Contents@ | ~����砭��~@Remark@
 
+   ��. ⠪��: ~goto~@Goto@ | ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Macro
 $ #������� Macro#
    ������� #macro# �������� ����㧨�� ������ �� ॥��� ��� ��࠭���
@@ -258,20 +221,14 @@
 
    1. ����㧨�� ������ �� ॥���:
 
-      #far:macro load#
-      ���
       #macro:load#
 
    2. ���࠭��� ������ � ॥���:
 
-      #far:macro save#
-      ���
       #macro:save#
 
    3. ��।��� ��᫥����⥫쭮��� ������:
 
-      #far:macro post sequence#
-      ���
       #macro:post sequence#
 
       ����� "sequence" - ��᫥����⥫쭮��� �������� ������ � ⮬
@@ -284,8 +241,6 @@
 
    4. �஢���� ᨭ⠪�� ���ய�᫥����⥫쭮��
 
-      #far:macro check sequence#
-      ���
       #macro:check sequence#
 
       � ��砥 �訡�� � "sequence" �㤥� �뢥���� ᮮ�饭�� �
@@ -293,141 +248,124 @@
 
    ������� #check# ����㯭� ⮫쪮 � Unicode-���ᨨ (��� FAR 2.x)
 
-   ��. ⠪��: ~����ঠ���~@Contents@, ~������~@:KeyMacroCmds@
 
+   ��. ⠪��: ~������~@:KeyMacro@, ~����砭��~@Remark@ | ~����ঠ���~@Contents@
+
 @Direction
 $ #���墠� �뢮��#
    ������ 㬥�� ���墠�뢠�� �뢮� �������� ������� #"<�������"# ��� #"<<�������"#.
 
-   #�������#    - #[stream][mode][|����|]command#.
+    #�������# - [#stream#][#mode#][#|����|#]#command#.
 
-                #stream# - �ࠢ����� ���墠⮬ �뢮�� #�������#.
-                         #1# - ���墠�뢠�� ⮫쪮 �⠭�����
-                             ��⮪ �뢮�� #stdout#.
-                         #2# - ���墠�뢠�� ⮫쪮 �⠭�����
-                             ��⮪ �뢮�� �訡�� #stderr#.
-                         #*# - ���墠�뢠�� � #stderr# � #stdout#
-                             ��� ���� ��⮪.
-                         #?# - ���墠�뢠�� #stderr# � #stdout# ���
-                             ࠧ�� ��⮪�. � �������� ~view~@View@ �
-                             ~edit~@Edit@ ���墠祭�� ��⮪� ����
-                             ������ � ࠧ��� �����. � ��㣨�
-                             �������� ࠢ��ᨫ쭮 #*#.
+    #stream# - �ࠢ����� ���墠⮬ �뢮�� #�������#.
+             #1# - ���墠�뢠�� ⮫쪮 �⠭����� ��⮪ �뢮�� #stdout#.
+             #2# - ���墠�뢠�� ⮫쪮 �⠭����� ��⮪ �뢮�� �訡�� #stderr#.
+             #*# - ���墠�뢠�� � #stderr# � #stdout# ��� ���� ��⮪.
+             #?# - ���墠�뢠�� #stderr# � #stdout# ��� ࠧ�� ��⮪�.
+                 � �������� ~view~@View@ � ~edit~@Edit@ ���墠祭�� ��⮪� ����
+                 ������ � ࠧ��� �����. � ��㣨� �������� ࠢ��ᨫ쭮 #*#.
+             ���祭�� ��ࠬ��� �� 㬮�砭�� ����� ���� ������ � ~����ன���~@Config@.
 
-                #mode#   - �ࠢ����� �뢮��� #�������# �� �࠭ � ��室
-                         �⠭������ ��⮪�� �����/�뢮��.
-                         #># - �����஢��� ���᮫�� �뢮�
-                             �믮��塞�� �ணࠬ�� � �⮡ࠧ���
-                             ⮫쪮 ᮮ�饭�� � �� �믮������.
-                         #<# - ��࠭��� ���᮫�� �뢮� � ᤥ����
-                             ��� ����㯭� ��� ��ᬮ�� �� #Ctrl-O#,
-                         #+# - �������筠 #<#, �� �뢮��� �� �࠭ ��
-                             ⮫쪮 ���᮫��, �� � ���墠�뢠���
-                             �뢮� �믮��塞�� �ணࠬ��.
+    #mode#   - �ࠢ����� �뢮��� #�������# �� �࠭ � ��室
+             �⠭������ ��⮪�� �����/�뢮��.
+             #># - �����஢��� ���᮫�� �뢮� �믮��塞�� �ணࠬ��
+                 � �⮡ࠧ��� ⮫쪮 ᮮ�饭�� � �� �믮������.
+             #<# - ��࠭��� ���᮫�� �뢮� � ᤥ���� ��� ����㯭�
+                 ��� ��ᬮ�� �� #Ctrl-O#.
+             #+# - �������筠 #<#, �� �뢮��� �� �࠭ �� ⮫쪮 ���᮫��,
+                 �� � ���墠�뢠��� �뢮� �믮��塞�� �ணࠬ��.
+             ���祭�� ��ࠬ��� �� 㬮�砭�� ����� ���� ������ � ~����ன���~@Config@.
 
-                #|����|# - ������� ����� ���� �믮����� � ��⠫���,
-                         �⫨筮� �� ⥪�饣�, �� 㪠����� �������
-                         ��ࠬ��� (������񭭮�� � ᨬ���� #'|'#).
-                         �ਬ��: '#edit:<|%TEMP%|dir#'.
+    #|����|# - ������� ����� ���� �믮����� � ��⠫���, �⫨筮� �� ⥪�饣�.
+             ��� �⮣� �㦭� 㪠���� ����, �����稢 ��� � ᨬ���� '#|#'.
+             �ਬ��: #edit:<|%TEMP%|dir#
 
-   ���祭�� ��ࠬ��஢ #stream# � #mode# �� 㬮�砭�� ����� ����
-   ������ � ~����ன��� �������~@Config@.
+   �뢮� ������� ����� ���� ����� �� ���: #~view~@View@:<command#
+     ��� � ।����:                          #~edit~@Edit@:<command#
+     ��� ������ � ���� ������:               #~clip~@Clip@:<command#
+     ���� ��࠭� � ������� 䠩�:            #~run~@Run@:filename<command#
 
-   ������� ࠡ��� ������� ����頥��� �� �६���� 䠩�. ��᫥ ��ࠡ�⪨
-������� १������騩 䠩� ����� ���� ��࠭� �� ��᪥:
 
-       #far:run ���䠩��<�������#
-       #run:���䠩��<�������#
+  #�ਬ�砭��:#
 
-     ���� �����:
+   #1#. ���, �� �ᯮ������ ��᫥ ᨬ���� '#<#' � ����易⥫���
+����䨪��஢, ��।����� ���������� ������� (%COMSPEC%).
 
-     �� ���
+   #2#. ������� ࠡ��� ������� ����頥��� �� �६���� 䠩�, ����� �㤥� ��⮬���᪨ 㤠��, �᫨ ����� ��
+�㦥� FAR`�.
 
-       #far:view <�������#
-       #view:<�������#
+   #3#. ������� �ணࠬ�� �����⢫��� �뢮� �� �࠭ �� �१
+�⠭����� ��⮪ �뢮��, ���墠�뢠��� ��������, �
+�����।�⢥��� �� ���᮫�. �⮡� ��࠭��� ���᮫��
+�뢮� � ᤥ���� ��� ����㯭� ��� ��ᬮ�� �� #Ctrl-O#,
+�ᯮ���� ����䨪���� '#>#' � '#+#'. �⮡� �������, ����� ��� - '#<#'.
+      ������ ��������� ����� ���� ���९���� ��� ��������� ��
+㬮�砭�� � ~����ன��� �������~@Config@.
 
-     ��� � ।����
+   #4#. �᫨ ��ࠬ��� #stream# ࠢ�� #1# ��� #2#, � ��砫� ����� �������
+������ ���� ��易⥫쭮 �⤥���� �� ���� �����-����� ᨬ�����.
 
-       #far:edit <�������#
-       #edit:<�������#
-       #far:edit[��ப�] <�������#
-       #edit:[��ப�] <�������#
-       #far:edit[��ப�,�������] <�������#
-       #edit:[��ப�,�������] <�������#
 
-     ��� ᮤ�ন��� १������饣� 䠩�� ����� ���� ����饭� �
-     ���� ������
+  #�ਬ���:#
 
-       #far:clip <�������#
-       #clip:<�������#
+   �믮����� ������� "#command#" � �뢮��� १���� � ।����:
+     #edit:<command#
 
-   ����砭��:
+   �������� ��砨 � ��ࠬ��஬ #stream#=#1#:
+     #edit:<1 command#
+     #edit:<1"command"#
+     #edit:<1+command#
+     #edit:<1|%TEMP%|command#
 
-   1. ���, �� �ᯮ������ ��᫥ ᨬ���� '#<#' � ����易⥫���
-      ����䨪��஢, ��।����� ���������� ������� (%COMSPEC%).
 
-   2. �६���� 䠩� �㤥� ��⮬���᪨ 㤠��, �᫨ ����� ��
-      �㦥� FAR`�.
+   ��. ⠪��: ~����砭��~@Remark@ | ~����ঠ���~@Contents@
 
-   3. ������� �ணࠬ�� �����⢫��� �뢮� �� �࠭ �� �१
-      �⠭����� ��⮪ �뢮��, ���墠�뢠��� ��������, �
-      �����।�⢥��� �� ���᮫�. �⮡� ��࠭��� ���᮫��
-      �뢮� � ᤥ���� ��� ����㯭� ��� ��ᬮ�� �� #Ctrl-O#,
-      ��� �������, �����஢��� ���, �ᯮ���� ����䨪����
-      '#<#', '#>#' � '#+#'.
-      ������ ��������� ����� ���� ���९���� ��� ��������� ��
-      㬮�砭�� � ~����ன��� �������~@Config@.
-
-   4. �᫨ ��ࠬ��� stream ࠢ�� 1 ��� 2 � ��砫� ����� �������
-      ������ ���� ��易⥫쭮 �⤥���� �� ���� ����� ����� ᨬ�����.
-      �ਬ���: �믮����� ������� 1 � �뢮��� १���� � ।����
-               edit:<1
-               �������� ��砨 � ��ࠬ��஬ stream=1
-               edit:<1 1
-               edit:<1"1"
-               edit:<1+1
-               edit:<1|%TEMP%|1
-
-   ��. ⠪��: ~����ঠ���~@Contents@ | ~���⠪��~@Syntax@
-
 @TheSameCatalogue
 $ #"����� �� ��⠫��"#
   ��� ⮣�, �⮡� ��⠭����� ��� ���ᨢ��� ������ ⠪�� ��
-��⠫��, ��� � �� ��⨢��� ������, ����室��� �� ~���� ��������~@:Plugins@
+��⠫��, ��� � �� ��⨢��� ������, ����室��� �� ~���� ��������~@:PluginCommands@
 ��� ~���� ��᪮�~@:DriveDlg@ ����� �㭪� "#����� �� ��⠫��#"
 ("Same Directory")
 
-   ��. ⠪��: ~����ঠ���~@Contents@ | ~����ன��~@Config@
 
+   ��. ⠪��: ~����ன�� �������~@Config@ | ~����ঠ���~@Contents@
+
 @Remark
 $ #����砭��#
 
-   1. ��� ��䨪� #far# ����� ������ ����� ᮪���� �� ��ࢮ� �㪢�.
-
-   2. ����᪠���� �������� � ����窨 ��ࠬ���� #���䠩��#,
+   1. ����᪠���� �������� � ����窨 ��ࠬ���� #���䠩��#,
       #����# � #�������#.
 
-   3. ����᪠���� �ᯮ�짮����� ��६����� ���㦥���.
+   2. ����᪠���� �ᯮ�짮����� ��६����� ���㦥���.
 
-   4. �᫨ �� �訡���� � �����, � ����� ���᪠���.
+   3. �᫨ �� �訡���� � �����, � ����� ���᪠���.
 
-   5. � ����⢥ #�������# ����� �ᯮ�짮������ ���᮫�� ������
+   4. � ����⢥ #�������# ����� �ᯮ�짮������ ���᮫�� ������
       (���᮫�� ������ - "������" ᮧ����� �������� DOSKEY)
 
+   5. ��। ������ �� ������ �����⨬� �������⥫쭮 㪠�뢠��
+      ��䨪� #far:#
+
+      #command:#[#options#] #object#
+      #far:command# [#options#] #object#
+
+      ��� ��� ����� ࠢ�������.
+
+
    ��. ⠪��: ~����ঠ���~@Contents@
 
 @Config
 $ #����ன�� FAR Commands#
 
- #"�������� "����� �� ��⠫��"#  �������� � ~���� ��������~@:Plugins@ �������
- #� ���� ��������"#              ~��⠭����~@TheSameCatalogue@ �� ���ᨢ��� ������ ⠪���
-                               �� ��⠫���, ��� � �� ��⨢���.
+ #�������� "����� �� ��⠫��"#  �������� � ~���� ��������~@:PluginCommands@ ������� ��⠭����
+ #� ���� ��������#              �� ���ᨢ��� ������ ~⠪��� �� ��⠫���~@TheSameCatalogue@,
+                              ��� � �� ��⨢���.
 
- #"�������� "����� �� ��⠫��"#  �������� � ~���� ��᪮�~@:DriveDlg@ �������
- #� ���� ��᪮�"#                ~��⠭����~@TheSameCatalogue@ �� ���ᨢ��� ������ ⠪���
-                               �� ��⠫���, ��� � �� ��⨢���.
+ #�������� "����� �� ��⠫��"#  �������� � ~���� ��᪮�~@:DriveDlg@ ������� ��⠭����
+ #� ���� ��᪮�#                �� ���ᨢ��� ������ ~⠪��� �� ��⠫���~@TheSameCatalogue@,
+                              ��� � �� ��⨢���.
 
- #��࠭�� �뢮� ���譨� ������# ��ࠢ����� �뢮��� �ணࠬ� �� �࠭:
+ #��࠭�� �뢮� ���譨� ������# ��ࠢ����� ~�뢮���~@Direction@ �ணࠬ� �� �࠭:
 
    #���뢠�� �࠭�� �뢮�#     �������� ����� �뢮� �ணࠬ��.
    #���譨� ������#              �㤥� �⮡ࠦ����� ⮫쪮 ᮮ�饭�� �
@@ -444,7 +382,7 @@
                                ���᮫�, ⠪ � ���墠�뢠��� �뢮�.
                                �������筮 �ᯮ�짮����� #<+# ����� #<#.
 
- #���墠� �뢮��#               ��ࠢ����� ���墠⮬ �뢮�� �ணࠬ�:
+ #���墠� �뢮��#               ��ࠢ����� ���墠⮬ ~�뢮��~@Direction@ �ணࠬ�:
 
    #���墠�뢠��#               ���墠�뢠�� ��⮪ �⠭���⭮��
    #stdout � stderr#             �뢮�� #stdout# � ��⮪ �뢮�� �訡��
FARCmds.hlf.diff (45,277 bytes)   

JohnDoe

2010-05-31 14:21

updater   bugnote:0005439

Актуальный патч приложил.
Но есть мысль кое-что добавить в хелп самого фара, чтобы не повторять то же самое в хелпе разных плагинов.

Например, порядок поиска программ, информацию о префиксах плагинов и их использовании.

vskirdin

2010-06-03 15:11

administrator   bugnote:0005444

build 69

Issue History

Date Modified Username Field Change
2010-05-05 08:52 JohnDoe New Issue
2010-05-07 07:47 vskirdin Note Added: 0005314
2010-05-13 11:45 vskirdin Note Added: 0005347
2010-05-13 11:49 JohnDoe Note Added: 0005349
2010-05-18 11:42 JohnDoe Note Edited: 0005349 View Revisions
2010-05-31 09:48 vskirdin Note Added: 0005438
2010-05-31 14:18 JohnDoe File Added: FARCmds.hlf.diff
2010-05-31 14:21 JohnDoe Note Added: 0005439
2010-06-03 15:11 vskirdin Assigned To => vskirdin
2010-06-03 15:11 vskirdin Status new => assigned
2010-06-03 15:11 vskirdin Note Added: 0005444
2010-06-03 15:11 vskirdin Status assigned => feedback
2010-06-04 10:07 JohnDoe Status feedback => resolved
2010-06-11 16:30 alexy Status resolved => closed
2010-06-11 16:30 alexy Resolution open => fixed
2010-06-11 16:30 alexy Fixed in Version => 2.0